import Vue from 'vue'
import VueRouter from 'vue-router'

// import Login from '../components/Login'
const Login = () => import(/* webpackChunkName: "login-home-welcome" */ '../components/Login')

// import Home from '../components/Home'
const Home = () => import(/* webpackChunkName: "login-home-welcome" */ '../components/Home')

// import welcome from '../components/welcome'
const welcome = () => import(/* webpackChunkName: "login-home-welcome" */ '../components/welcome')

// import users from '../components/users/users'
// import access from '../components/access/access'
// import roles from '../components/access/roles'
const users = () => import(/* webpackChunkName: "login-home-users" */ '../components/welcome')
const access = () => import(/* webpackChunkName: "login-home-users" */ '../components/access/access')
const roles = () => import(/* webpackChunkName: "login-home-users" */ '../components/access/roles')

// import categories from '../components/goods/categories'
// import params from '../components/goods/params'
// import goods from '../components/goods/goods'
// import goodsEdit from '../components/goods/edit'
const categories = () => import(/* webpackChunkName: "login-home-goods" */ '../components/goods/categories')
const params = () => import(/* webpackChunkName: "login-home-goods" */ '../components/goods/params')
const goods = () => import(/* webpackChunkName: "login-home-goods" */ '../components/goods/goods')
const goodsEdit = () => import(/* webpackChunkName: "login-home-goods" */ '../components/goods/edit')

// import order from '../components/order/order'
// import report from '../components/report/report'
const order = () => import(/* webpackChunkName: "login-home-order" */ '../components/order/order')
const report = () => import(/* webpackChunkName: "login-home-order" */ '../components/report/report')

Vue.use(VueRouter)

const routes = [
  { path: '/', redirect: '/login' },
  { path: '/login', component: Login },
  {
    path: '/home',
    component: Home,
    redirect: '/welcome',
    children: [
      { path: '/welcome', component: welcome },
      { path: '/users', component: users },
      { path: '/rights', component: access },
      { path: '/roles', component: roles },
      { path: '/categories', component: categories },
      { path: '/params', component: params },
      { path: '/goods', component: goods },
      { path: '/goods/add', component: goodsEdit },
      { path: '/orders', component: order },
      { path: '/reports', component: report }
    ]
  }
]

const router = new VueRouter({
  routes
})
router.beforeEach((to, from, next) => {
  if (to.path === '/login') {
    return next()
  }
  const token = sessionStorage.getItem('token')
  if (!token) {
    return next('/login')
  }
  next()
})
export default router
