module.exports = {
  devServer: {
    port: 8887,
    open: true
  },

  // webpack 设置  详见 https://cli.vuejs.org/zh/guide/webpack.html vue的webpack设置
  chainWebpack: config => {
    // 设置线上环境（打包）的main.js
    config.when(process.env.NODE_ENV === 'production', config => {
      config.entry('app').clear().add('./src/main-prod.js')
      // 使用如下对象时，先去window对象中查找，也就是不node_modules中打包，但需要在public/index.html中自行引入外部资源
      config.set('externals', {
        vue: 'Vue',
        'element-ui': 'Element',
        'vue-router': 'VueRouter',
        axios: 'axios',
        lodash: '_',
        echarts: 'echarts',
        nprogress: 'NProgress',
        'vue-quill-editor': 'VueQuillEditor'
      })

      config.plugin('html').tap(args => {
        args[0].isProd = true
        return args
      })
    })
    // 设置开发环境的main.js
    config.when(process.env.NODE_ENV === 'development', config => {
      config.entry('add').clear().add('./src/main-dev.js')

      config.plugin('html').tap(args => {
        args[0].isProd = false
        return args
      })
    })
  }
}
